﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.Yavli.Resilience_Api;

namespace YavliResilience_Api_DotNet_Example
{
    public class YavliCronInvoker
    {
        /// <summary>
        ///  This method should be run once per hour as a cron job. It should under no circumstance be executed from the webserver.
        /// </summary>
        internal static void RefreshClientCode(string website_id = "dummy_website_id", string api_key = "dummy_api_key")
        {
            // Declare and set the provided credentials
            //string website_id = "9337";
            //string api_key = "ml4f9sv9ilc9gbjrvrtbwuqb4xxv5o6k";

            // Instantiate the Yavli Resilience class and set credentials.
            var yr = new YavliResilience_Api();
            yr.set_credentials(website_id, api_key);

            // Refresh the Yavli ad server code. Note, this should only be done in server-side
            // cron - executed scripts. It should never be done in scripts executed directly
            // by your webserver.
            var success = yr.refresh_ad_server_code();

            if (success == false)
            {
                Console.WriteLine("Unable to refresh ad server code.");
                Console.WriteLine("Details:\n");
                Console.WriteLine(yr.get_error_msg());
                return;
            }
            yr.save_data();
            Console.WriteLine("Success: refreshed and saved Yavli Ad Server code.");
        }
    }
}