﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.Yavli.Resilience_Api;

namespace YavliResilience_Api_DotNet_Example
{
    public class YavliExampleWebsite
    {

        /// <summary>
        /// This method should incorporated into your website.
        /// </summary>
        internal static void ClientScript()
        {
            // Import and instantiate the Yavli Resilience API class.
            var yr = new YavliResilience_Api();

            /**
             * The call to the Yavli API is done asynchronously by the cron job script.
             * All we need to do here is fetch the locally stored Yavli init code,
             * and display it in the footer or header section of your website HTML.
             *
             * Note that the actual Yavli Widget location on your pages is not dictated
             * by the location of this init code - it is controlled by Javascript logic
             * built into the widget code, and controlled by Yavli.
             */

            string ad_server_code = yr.get_ad_server_code();

            Console.WriteLine("Your current ad server code looks like this (truncated):");
            Console.WriteLine("---------------------------------------------");
            Console.WriteLine(ad_server_code.Substring(0, 50) + "...[truncated for brevity]\n");

            Console.WriteLine("It should be included in your website HTML like this:");
            Console.WriteLine("-----------------------------------------------------");
            Console.WriteLine(@"
            < html >
              < head >...</ head >
              < body >
                < content > Your website content.</ content >
                   < footer > More of your content.</ footer >
                  
                      [include Yavli Resilience Ad Server Code Here]

              </ body >
            </ html >");
        }

    }
}